.directions-section {
    padding: 120px 10%;
    background-color: var(--transparent-green);
}

.directions-section h2 {
    z-index: 2;
}

.directions-section__content-wrapper {
    max-width: 1440px;
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    gap: 60px;

    position: relative;
}

.directions-section__decorate-icon {
    position: absolute;
    top: -22px;
    left: -8px;
    z-index: 1;
}

.directions-section__list {
    display: flex;
    flex-wrap: wrap;
}

/*TODO: Add separate class for directions-section__item with link (<a>) inside*/
.directions-section .directions-section__item, .top-solutions-section .directions-section__item {
    padding: 0;
}

.directions-section .directions-section__item a, .top-solutions-section .directions-section__item a {
    width: 100%;
    height: 100%;
    padding: 40px;

    display: flex;
    align-items: center;
    gap: 32px;

    transition: gap .2s ease;
}

.directions-section .directions-section__item:hover a, .top-solutions-section .directions-section__item:hover a {
    gap: 0;
}

@media screen and (max-width: 1060px) {
    .directions-section .directions-section__item a, .top-solutions-section .directions-section__item a {
        flex-grow: 1;
    }
}

.directions-section__item {
    width: 33.3%;
    min-width: 312px;
    height: 200px;
    padding: 40px;

    display: flex;
    align-items: center;
    gap: 32px;

    margin: 0 -1px -1px 0;
    border: solid 1px var(--light-green);
    background-color: var(--white);

    cursor: pointer;
    transition: all .2s ease;

    position: relative;
}

.directions-section__item-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: var(--green-gradient);
    opacity: 0;
    transition: all .2s ease;
}

.directions-section__item img {
    height: 48px;
    width: 48px;
    -o-object-fit: contain;
    object-fit: contain;

    transition: all .2s ease;
}

.directions-section__item p {
    max-width: 80%;
    z-index: 2;
    cursor: pointer;
    font-weight: 500;
}

.directions-section__item svg {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    z-index: 2;
    opacity: 0;
    transition: all .2s ease;
}

.directions-section__item:hover {
    color: var(--white);
    gap: 0;
}

.directions-section__item:hover img {
    width: 0;
}

.directions-section__item:hover .directions-section__item-bg {
    opacity: 1;
}

.directions-section__item:hover svg {
    left: 80%;
    opacity: 1;
}

@media screen and (max-width: 1440px) {
    .directions-section {
        padding: 120px 5%;
    }
}

@media screen and (max-width: 1060px) {
    .directions-section__item {
        flex-grow: 1;
    }
}
